
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-FIL
Summary:		FIL LADSPA plugins
Version:		0.3.0
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			FIL-plugins-%{version}.tar.bz2
URL:			http://www.kokkinizita.net/linuxaudio/ladspa/index.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
There's one plugin in this first release, a four-band parametric
equaliser. Each section has an active/bypass switch, frequency,
bandwidth and gain controls. There is also a global bypass switch
and gain control.

The 2nd order resonant filters are implemented using a Mitra-Regalia
style lattice filter, which has the nice property of being stable
even while parameters are being changed.

All switches and controls are internally smoothed, so they can be
used 'live' whithout any clicks or zipper noises. This should make
this plugin a good candidate for use in systems that allow automation
of plugin control ports, such as Ardour, or for stage use.



%prep
%setup -q -n FIL-plugins-%{version}

%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile
%__rm ladspa.h

%build
%__make %{?_smp_mflags} \
	CXXFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%makeinstall

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Wed Jun 10 2009 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.1.0-0.pm.1
- splitt-off from ladspa package
